<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:03 CEST 2016 -->
<title>G-Index</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="G-Index";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-5.html">Prev Letter</a></li>
<li><a href="index-7.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-6.html" target="_top">Frames</a></li>
<li><a href="index-6.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">Z</a>&nbsp;<a name="_G_">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><a href="../controler/Game.html" title="class in controler"><span class="strong">Game</span></a> - Class in <a href="../controler/package-summary.html">controler</a></dt>
<dd>
<div class="block">The Class Game is the main class use for the functionment of the game.</div>
</dd>
<dt><span class="strong"><a href="../controler/Game.html#Game(model.GameRule,%20view.Blokus)">Game(GameRule, Blokus)</a></span> - Constructor for class controler.<a href="../controler/Game.html" title="class in controler">Game</a></dt>
<dd>
<div class="block">Instantiates a new game.</div>
</dd>
<dt><a href="../controler/GameOnline.html" title="class in controler"><span class="strong">GameOnline</span></a> - Class in <a href="../controler/package-summary.html">controler</a></dt>
<dd>
<div class="block">The Class GameOnline is use only for the online gamemode.</div>
</dd>
<dt><span class="strong"><a href="../controler/GameOnline.html#GameOnline(model.GameRuleOnline,%20view.Blokus,%20model.PlayerOnline,%20java.lang.String)">GameOnline(GameRuleOnline, Blokus, PlayerOnline, String)</a></span> - Constructor for class controler.<a href="../controler/GameOnline.html" title="class in controler">GameOnline</a></dt>
<dd>
<div class="block">Instantiates a new game online.</div>
</dd>
<dt><a href="../model/GameRule.html" title="class in model"><span class="strong">GameRule</span></a> - Class in <a href="../model/package-summary.html">model</a></dt>
<dd>
<div class="block">The Class GameRule.</div>
</dd>
<dt><span class="strong"><a href="../model/GameRule.html#GameRule(model.Player[])">GameRule(Player[])</a></span> - Constructor for class model.<a href="../model/GameRule.html" title="class in model">GameRule</a></dt>
<dd>
<div class="block">Instantiates a new game rule who specify all the rule and parameter of the game.</div>
</dd>
<dt><span class="strong"><a href="../model/GameRule.html#GameRule(model.Player[],%20boolean)">GameRule(Player[], boolean)</a></span> - Constructor for class model.<a href="../model/GameRule.html" title="class in model">GameRule</a></dt>
<dd>
<div class="block">Instantiates a new game rule.</div>
</dd>
<dt><span class="strong"><a href="../model/GameRule.html#GameRule(java.lang.String)">GameRule(String)</a></span> - Constructor for class model.<a href="../model/GameRule.html" title="class in model">GameRule</a></dt>
<dd>
<div class="block">Instantiates a new game rule.</div>
</dd>
<dt><a href="../model/GameRuleOnline.html" title="class in model"><span class="strong">GameRuleOnline</span></a> - Class in <a href="../model/package-summary.html">model</a></dt>
<dd>
<div class="block">The Class GameRuleOnline.</div>
</dd>
<dt><span class="strong"><a href="../model/GameRuleOnline.html#GameRuleOnline(model.PlayerOnline[])">GameRuleOnline(PlayerOnline[])</a></span> - Constructor for class model.<a href="../model/GameRuleOnline.html" title="class in model">GameRuleOnline</a></dt>
<dd>
<div class="block">Instantiates a new game rule who specify all the rule and parameter of the game.</div>
</dd>
<dt><a href="../test/GameRuleOnlineTest.html" title="class in test"><span class="strong">GameRuleOnlineTest</span></a> - Class in <a href="../test/package-summary.html">test</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../test/GameRuleOnlineTest.html#GameRuleOnlineTest()">GameRuleOnlineTest()</a></span> - Constructor for class test.<a href="../test/GameRuleOnlineTest.html" title="class in test">GameRuleOnlineTest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../test/GameRuleTest.html" title="class in test"><span class="strong">GameRuleTest</span></a> - Class in <a href="../test/package-summary.html">test</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../test/GameRuleTest.html#GameRuleTest()">GameRuleTest()</a></span> - Constructor for class test.<a href="../test/GameRuleTest.html" title="class in test">GameRuleTest</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../model/Player.html#getActualNbPiece()">getActualNbPiece()</a></span> - Method in class model.<a href="../model/Player.html" title="class in model">Player</a></dt>
<dd>
<div class="block">Get the actual number piece.</div>
</dd>
<dt><span class="strong"><a href="../controler/Game.html#getActualPlayer()">getActualPlayer()</a></span> - Method in class controler.<a href="../controler/Game.html" title="class in controler">Game</a></dt>
<dd>
<div class="block">Gets the actual player.</div>
</dd>
<dt><span class="strong"><a href="../model/GameRule.html#getActualPlayer()">getActualPlayer()</a></span> - Method in class model.<a href="../model/GameRule.html" title="class in model">GameRule</a></dt>
<dd>
<div class="block">Gets the actual player.</div>
</dd>
<dt><span class="strong"><a href="../model/Map.html#getAdjacent(model.Piece,%20model.Position)">getAdjacent(Piece, Position)</a></span> - Method in class model.<a href="../model/Map.html" title="class in model">Map</a></dt>
<dd>
<div class="block">Gets the adjacent.</div>
</dd>
<dt><span class="strong"><a href="../model/Map.html#getAdjacentActualPlayer(model.Piece,%20model.Position)">getAdjacentActualPlayer(Piece, Position)</a></span> - Method in class model.<a href="../model/Map.html" title="class in model">Map</a></dt>
<dd>
<div class="block">Gets the adjacent actual player.</div>
</dd>
<dt><span class="strong"><a href="../model/Pattern.html#getAllCollection()">getAllCollection()</a></span> - Method in class model.<a href="../model/Pattern.html" title="class in model">Pattern</a></dt>
<dd>
<div class="block">Gets the all collection of piece.</div>
</dd>
<dt><span class="strong"><a href="../model/Map.html#getAncre(model.Piece,%20model.Position)">getAncre(Piece, Position)</a></span> - Method in class model.<a href="../model/Map.html" title="class in model">Map</a></dt>
<dd>
<div class="block">Gets the anchor.</div>
</dd>
<dt><span class="strong"><a href="../model/Map.html#getAncreOtherPlayer(model.Piece,%20model.Position,%20model.GameRule)">getAncreOtherPlayer(Piece, Position, GameRule)</a></span> - Method in class model.<a href="../model/Map.html" title="class in model">Map</a></dt>
<dd>
<div class="block">Gets the anchor of other player.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerZone.html#getBar()">getBar()</a></span> - Method in class view.<a href="../view/PlayerZone.html" title="class in view">PlayerZone</a></dt>
<dd>
<div class="block">Gets the playerBar.</div>
</dd>
<dt><span class="strong"><a href="../view/MenuPiece.html#getBlokus()">getBlokus()</a></span> - Method in class view.<a href="../view/MenuPiece.html" title="class in view">MenuPiece</a></dt>
<dd>
<div class="block">Get Blokus.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerZone.html#getBlokus()">getBlokus()</a></span> - Method in class view.<a href="../view/PlayerZone.html" title="class in view">PlayerZone</a></dt>
<dd>
<div class="block">Gets the blokus.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerZone.html#getBouttonAbandonner()">getBouttonAbandonner()</a></span> - Method in class view.<a href="../view/PlayerZone.html" title="class in view">PlayerZone</a></dt>
<dd>
<div class="block">Gets the button abandonner.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerZone.html#getBouttonPasser()">getBouttonPasser()</a></span> - Method in class view.<a href="../view/PlayerZone.html" title="class in view">PlayerZone</a></dt>
<dd>
<div class="block">Gets the button passer.</div>
</dd>
<dt><span class="strong"><a href="../model/Player.html#getCanPlay()">getCanPlay()</a></span> - Method in class model.<a href="../model/Player.html" title="class in model">Player</a></dt>
<dd>
<div class="block">Get the canPlay attribute.</div>
</dd>
<dt><span class="strong"><a href="../view/Blokus.html#getCards()">getCards()</a></span> - Method in class view.<a href="../view/Blokus.html" title="class in view">Blokus</a></dt>
<dd>
<div class="block">Gets the jPanel who have the cardLayout.</div>
</dd>
<dt><span class="strong"><a href="../controler/ListenerPlayersMenu.html#getColor(int)">getColor(int)</a></span> - Method in class controler.<a href="../controler/ListenerPlayersMenu.html" title="class in controler">ListenerPlayersMenu</a></dt>
<dd>
<div class="block">Gets the color.</div>
</dd>
<dt><span class="strong"><a href="../model/Player.html#getColor()">getColor()</a></span> - Method in class model.<a href="../model/Player.html" title="class in model">Player</a></dt>
<dd>
<div class="block">Get the color.</div>
</dd>
<dt><span class="strong"><a href="../view/LinePlayer.html#getCouleur()">getCouleur()</a></span> - Method in class view.<a href="../view/LinePlayer.html" title="class in view">LinePlayer</a></dt>
<dd>
<div class="block">Gets the color of the player.</div>
</dd>
<dt><span class="strong"><a href="../view/Parametres.html#getCurseur()">getCurseur()</a></span> - Method in class view.<a href="../view/Parametres.html" title="class in view">Parametres</a></dt>
<dd>
<div class="block">Checks if is dev cursor.</div>
</dd>
<dt><span class="strong"><a href="../model/Pattern.html#getFullPattern(int)">getFullPattern(int)</a></span> - Method in class model.<a href="../model/Pattern.html" title="class in model">Pattern</a></dt>
<dd>
<div class="block">Gets the full pattern (piece + positioning pattern).</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerZone.html#getGame()">getGame()</a></span> - Method in class view.<a href="../view/PlayerZone.html" title="class in view">PlayerZone</a></dt>
<dd>
<div class="block">Gets the game.</div>
</dd>
<dt><span class="strong"><a href="../controler/Game.html#getGameRule()">getGameRule()</a></span> - Method in class controler.<a href="../controler/Game.html" title="class in controler">Game</a></dt>
<dd>
<div class="block">Gets the gameRule of this game.</div>
</dd>
<dt><span class="strong"><a href="../model/IA.html#getGameRule()">getGameRule()</a></span> - Method in class model.<a href="../model/IA.html" title="class in model">IA</a></dt>
<dd>
<div class="block">Gets the game rule.</div>
</dd>
<dt><span class="strong"><a href="../view/Blokus.html#getGlass()">getGlass()</a></span> - Method in class view.<a href="../view/Blokus.html" title="class in view">Blokus</a></dt>
<dd>
<div class="block">Gets the glassPane.</div>
</dd>
<dt><span class="strong"><a href="../controler/Game.html#getGrid()">getGrid()</a></span> - Method in class controler.<a href="../controler/Game.html" title="class in controler">Game</a></dt>
<dd>
<div class="block">Gets the actual grid.</div>
</dd>
<dt><span class="strong"><a href="../view/ViewGame.html#getGrid()">getGrid()</a></span> - Method in class view.<a href="../view/ViewGame.html" title="class in view">ViewGame</a></dt>
<dd>
<div class="block">Get the grid.</div>
</dd>
<dt><span class="strong"><a href="../controler/InitialisationOnlineGame.html#getHost()">getHost()</a></span> - Method in class controler.<a href="../controler/InitialisationOnlineGame.html" title="class in controler">InitialisationOnlineGame</a></dt>
<dd>
<div class="block">Gets the name of the host.</div>
</dd>
<dt><span class="strong"><a href="../view/LinePlayer.html#getIa()">getIa()</a></span> - Method in class view.<a href="../view/LinePlayer.html" title="class in view">LinePlayer</a></dt>
<dd>
<div class="block">Gets the ia of the player.</div>
</dd>
<dt><span class="strong"><a href="../model/PlayerOnline.html#getId()">getId()</a></span> - Method in class model.<a href="../model/PlayerOnline.html" title="class in model">PlayerOnline</a></dt>
<dd>
<div class="block">Gets the id.</div>
</dd>
<dt><span class="strong"><a href="../model/Piece.html#getIsUse()">getIsUse()</a></span> - Method in class model.<a href="../model/Piece.html" title="class in model">Piece</a></dt>
<dd>
<div class="block">Checks if this piece is use.</div>
</dd>
<dt><span class="strong"><a href="../view/Grid.html#getjLabelTab()">getjLabelTab()</a></span> - Method in class view.<a href="../view/Grid.html" title="class in view">Grid</a></dt>
<dd>
<div class="block">Gets the jLabelTab board.</div>
</dd>
<dt><span class="strong"><a href="../view/MenuPiece.html#getjLabelTab()">getjLabelTab()</a></span> - Method in class view.<a href="../view/MenuPiece.html" title="class in view">MenuPiece</a></dt>
<dd>
<div class="block">Gets the jLabelTab.</div>
</dd>
<dt><span class="strong"><a href="../controler/Game.html#getLastPiece()">getLastPiece()</a></span> - Method in class controler.<a href="../controler/Game.html" title="class in controler">Game</a></dt>
<dd>
<div class="block">Gets the last playerPiece (in view)</div>
</dd>
<dt><span class="strong"><a href="../model/GameRuleOnline.html#getLastPieceOnline()">getLastPieceOnline()</a></span> - Method in class model.<a href="../model/GameRuleOnline.html" title="class in model">GameRuleOnline</a></dt>
<dd>
<div class="block">Gets the last piece place on the game.</div>
</dd>
<dt><span class="strong"><a href="../model/IA.html#getLevel()">getLevel()</a></span> - Method in class model.<a href="../model/IA.html" title="class in model">IA</a></dt>
<dd>
<div class="block">Gets the level.</div>
</dd>
<dt><span class="strong"><a href="../view/LinePlayer.html#getLevel()">getLevel()</a></span> - Method in class view.<a href="../view/LinePlayer.html" title="class in view">LinePlayer</a></dt>
<dd>
<div class="block">Gets the level of the ia.</div>
</dd>
<dt><span class="strong"><a href="../controler/ListenerPlayersMenu.html#getLine()">getLine()</a></span> - Method in class controler.<a href="../controler/ListenerPlayersMenu.html" title="class in controler">ListenerPlayersMenu</a></dt>
<dd>
<div class="block">Gets the line who represent a player.</div>
</dd>
<dt><span class="strong"><a href="../view/LinePlayer.html#getLine()">getLine()</a></span> - Method in class view.<a href="../view/LinePlayer.html" title="class in view">LinePlayer</a></dt>
<dd>
<div class="block">Gets the line.</div>
</dd>
<dt><span class="strong"><a href="../view/Parametres.html#getlistePiece()">getlistePiece()</a></span> - Method in class view.<a href="../view/Parametres.html" title="class in view">Parametres</a></dt>
<dd>
<div class="block">Gets the liste of all piece piece.</div>
</dd>
<dt><span class="strong"><a href="../view/Blokus.html#getMain()">getMain()</a></span> - Method in class view.<a href="../view/Blokus.html" title="class in view">Blokus</a></dt>
<dd>
<div class="block">Gets the main menu of the blokus.</div>
</dd>
<dt><span class="strong"><a href="../controler/Game.html#getMap()">getMap()</a></span> - Method in class controler.<a href="../controler/Game.html" title="class in controler">Game</a></dt>
<dd>
<div class="block">Gets the map of this games gamerule.</div>
</dd>
<dt><span class="strong"><a href="../model/GameRule.html#getMap()">getMap()</a></span> - Method in class model.<a href="../model/GameRule.html" title="class in model">GameRule</a></dt>
<dd>
<div class="block">Gets the map.</div>
</dd>
<dt><span class="strong"><a href="../model/Map.html#getMap()">getMap()</a></span> - Method in class model.<a href="../model/Map.html" title="class in model">Map</a></dt>
<dd>
<div class="block">Gets the map.</div>
</dd>
<dt><span class="strong"><a href="../model/Player.html#getMap()">getMap()</a></span> - Method in class model.<a href="../model/Player.html" title="class in model">Player</a></dt>
<dd>
<div class="block">Get the map.</div>
</dd>
<dt><span class="strong"><a href="../model/Piece.html#getMinimumPattern()">getMinimumPattern()</a></span> - Method in class model.<a href="../model/Piece.html" title="class in model">Piece</a></dt>
<dd>
<div class="block">This method return the smallest representation of the pattern of this piece.</div>
</dd>
<dt><span class="strong"><a href="../model/Player.html#getName()">getName()</a></span> - Method in class model.<a href="../model/Player.html" title="class in model">Player</a></dt>
<dd>
<div class="block">Get the name.</div>
</dd>
<dt><span class="strong"><a href="../controler/Game.html#getNextPiece()">getNextPiece()</a></span> - Method in class controler.<a href="../controler/Game.html" title="class in controler">Game</a></dt>
<dd>
<div class="block">Gets the next piece to place.</div>
</dd>
<dt><span class="strong"><a href="../model/IA.html#getNextPiece()">getNextPiece()</a></span> - Method in class model.<a href="../model/IA.html" title="class in model">IA</a></dt>
<dd>
<div class="block">Gets the next piece.</div>
</dd>
<dt><span class="strong"><a href="../model/Map.html#getNextPiece(model.Player,%20int,%20model.GameRule)">getNextPiece(Player, int, GameRule)</a></span> - Method in class model.<a href="../model/Map.html" title="class in model">Map</a></dt>
<dd>
<div class="block">Gets the next piece to place for an IA.</div>
</dd>
<dt><span class="strong"><a href="../controler/Game.html#getNextPosition()">getNextPosition()</a></span> - Method in class controler.<a href="../controler/Game.html" title="class in controler">Game</a></dt>
<dd>
<div class="block">Gets the next position.</div>
</dd>
<dt><span class="strong"><a href="../model/IA.html#getNextPosition()">getNextPosition()</a></span> - Method in class model.<a href="../model/IA.html" title="class in model">IA</a></dt>
<dd>
<div class="block">Gets the next position.</div>
</dd>
<dt><span class="strong"><a href="../view/LinePlayer.html#getNom()">getNom()</a></span> - Method in class view.<a href="../view/LinePlayer.html" title="class in view">LinePlayer</a></dt>
<dd>
<div class="block">Gets the name of the player.</div>
</dd>
<dt><span class="strong"><a href="../model/Player.html#getOrigin()">getOrigin()</a></span> - Method in class model.<a href="../model/Player.html" title="class in model">Player</a></dt>
<dd>
<div class="block">Get the origin of the players.</div>
</dd>
<dt><span class="strong"><a href="../view/MenuCreation.html#getP1()">getP1()</a></span> - Method in class view.<a href="../view/MenuCreation.html" title="class in view">MenuCreation</a></dt>
<dd>
<div class="block">Get the LinePlayer 1.</div>
</dd>
<dt><span class="strong"><a href="../view/MenuCreation.html#getP2()">getP2()</a></span> - Method in class view.<a href="../view/MenuCreation.html" title="class in view">MenuCreation</a></dt>
<dd>
<div class="block">Get the LinePlayer 2.</div>
</dd>
<dt><span class="strong"><a href="../view/MenuCreation.html#getP3()">getP3()</a></span> - Method in class view.<a href="../view/MenuCreation.html" title="class in view">MenuCreation</a></dt>
<dd>
<div class="block">Get the LinePlayer 3.</div>
</dd>
<dt><span class="strong"><a href="../view/MenuCreation.html#getP4()">getP4()</a></span> - Method in class view.<a href="../view/MenuCreation.html" title="class in view">MenuCreation</a></dt>
<dd>
<div class="block">Get the LinePlayer 4.</div>
</dd>
<dt><span class="strong"><a href="../view/Blokus.html#getParametres()">getParametres()</a></span> - Method in class view.<a href="../view/Blokus.html" title="class in view">Blokus</a></dt>
<dd>
<div class="block">Gets the parametres.</div>
</dd>
<dt><span class="strong"><a href="../model/GameRule.html#getPasserTour()">getPasserTour()</a></span> - Method in class model.<a href="../model/GameRule.html" title="class in model">GameRule</a></dt>
<dd>
<div class="block">Gets the value of skip lap.</div>
</dd>
<dt><span class="strong"><a href="../view/Parametres.html#getPasserTour()">getPasserTour()</a></span> - Method in class view.<a href="../view/Parametres.html" title="class in view">Parametres</a></dt>
<dd>
<div class="block">Checks if skip lap is active.</div>
</dd>
<dt><span class="strong"><a href="../model/Pattern.html#getPattern(int)">getPattern(int)</a></span> - Method in class model.<a href="../model/Pattern.html" title="class in model">Pattern</a></dt>
<dd>
<div class="block">Gets the pattern at a specified index.</div>
</dd>
<dt><span class="strong"><a href="../model/Piece.html#getPattern()">getPattern()</a></span> - Method in class model.<a href="../model/Piece.html" title="class in model">Piece</a></dt>
<dd>
<div class="block">Gets the pattern.</div>
</dd>
<dt><span class="strong"><a href="../model/Player.html#getPattern()">getPattern()</a></span> - Method in class model.<a href="../model/Player.html" title="class in model">Player</a></dt>
<dd>
<div class="block">Get the pattern.</div>
</dd>
<dt><span class="strong"><a href="../model/Player.html#getPATTERN_NUMBER()">getPATTERN_NUMBER()</a></span> - Method in class model.<a href="../model/Player.html" title="class in model">Player</a></dt>
<dd>
<div class="block">Return the pattern number.</div>
</dd>
<dt><span class="strong"><a href="../view/MenuPiece.html#getPiece()">getPiece()</a></span> - Method in class view.<a href="../view/MenuPiece.html" title="class in view">MenuPiece</a></dt>
<dd>
<div class="block">Gets the piece board.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerPiece.html#getPiece()">getPiece()</a></span> - Method in class view.<a href="../view/PlayerPiece.html" title="class in view">PlayerPiece</a></dt>
<dd>
<div class="block">Gets the piece.</div>
</dd>
<dt><span class="strong"><a href="../model/Player.html#getPieces()">getPieces()</a></span> - Method in class model.<a href="../model/Player.html" title="class in model">Player</a></dt>
<dd>
<div class="block">Get the pieces of the player.</div>
</dd>
<dt><span class="strong"><a href="../model/Piece.html#getPlayer()">getPlayer()</a></span> - Method in class model.<a href="../model/Piece.html" title="class in model">Piece</a></dt>
<dd>
<div class="block">Get the player of the piece.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerZone.html#getPlayer()">getPlayer()</a></span> - Method in class view.<a href="../view/PlayerZone.html" title="class in view">PlayerZone</a></dt>
<dd>
<div class="block">Gets the player.</div>
</dd>
<dt><span class="strong"><a href="../model/GameRuleOnline.html#getPlayerById(model.PlayerOnline)">getPlayerById(PlayerOnline)</a></span> - Method in class model.<a href="../model/GameRuleOnline.html" title="class in model">GameRuleOnline</a></dt>
<dd>
<div class="block">Gets the player by id.</div>
</dd>
<dt><span class="strong"><a href="../controler/Game.html#getPlayers()">getPlayers()</a></span> - Method in class controler.<a href="../controler/Game.html" title="class in controler">Game</a></dt>
<dd>
<div class="block">Gets the players of this game.</div>
</dd>
<dt><span class="strong"><a href="../model/GameRule.html#getPlayers()">getPlayers()</a></span> - Method in class model.<a href="../model/GameRule.html" title="class in model">GameRule</a></dt>
<dd>
<div class="block">Gets the players.</div>
</dd>
<dt><span class="strong"><a href="../view/ViewGame.html#getPlayerZones()">getPlayerZones()</a></span> - Method in class view.<a href="../view/ViewGame.html" title="class in view">ViewGame</a></dt>
<dd>
<div class="block">Gets the playerZones.</div>
</dd>
<dt><span class="strong"><a href="../controler/GridListener.html#getPosition(javax.swing.JLabel)">getPosition(JLabel)</a></span> - Method in class controler.<a href="../controler/GridListener.html" title="class in controler">GridListener</a></dt>
<dd>
<div class="block">Gets the position of the jLabel on the grid.</div>
</dd>
<dt><span class="strong"><a href="../controler/ListenerCreationPiece.html#getPosition(javax.swing.JLabel)">getPosition(JLabel)</a></span> - Method in class controler.<a href="../controler/ListenerCreationPiece.html" title="class in controler">ListenerCreationPiece</a></dt>
<dd>
<div class="block">Gets the position.</div>
</dd>
<dt><span class="strong"><a href="../view/ZoneInformation.html#getQuitter()">getQuitter()</a></span> - Method in class view.<a href="../view/ZoneInformation.html" title="class in view">ZoneInformation</a></dt>
<dd>
<div class="block">Gets the quit button.</div>
</dd>
<dt><span class="strong"><a href="../view/ZoneInformation.html#getSauvegarder()">getSauvegarder()</a></span> - Method in class view.<a href="../view/ZoneInformation.html" title="class in view">ZoneInformation</a></dt>
<dd>
<div class="block">Get the save button.</div>
</dd>
<dt><span class="strong"><a href="../model/Piece.html#getScore()">getScore()</a></span> - Method in class model.<a href="../model/Piece.html" title="class in model">Piece</a></dt>
<dd>
<div class="block">Get the score of the piece.</div>
</dd>
<dt><span class="strong"><a href="../model/Player.html#getScore()">getScore()</a></span> - Method in class model.<a href="../model/Player.html" title="class in model">Player</a></dt>
<dd>
<div class="block">Get the score.</div>
</dd>
<dt><span class="strong"><a href="../model/GameRule.html#getScoreTab()">getScoreTab()</a></span> - Method in class model.<a href="../model/GameRule.html" title="class in model">GameRule</a></dt>
<dd>
<div class="block">Gets the score tab.</div>
</dd>
<dt><span class="strong"><a href="../view/Parametres.html#getScrollPane()">getScrollPane()</a></span> - Method in class view.<a href="../view/Parametres.html" title="class in view">Parametres</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../controler/Drag.html#getSourceActions(javax.swing.JComponent)">getSourceActions(JComponent)</a></span> - Method in class controler.<a href="../controler/Drag.html" title="class in controler">Drag</a></dt>
<dd>
<div class="block">Return the type of action of the origin of this drag (a int).</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerPiece.html#getTransferData(java.awt.datatransfer.DataFlavor)">getTransferData(DataFlavor)</a></span> - Method in class view.<a href="../view/PlayerPiece.html" title="class in view">PlayerPiece</a></dt>
<dd>
<div class="block">This method arise from transferable.</div>
</dd>
<dt><span class="strong"><a href="../view/PlayerPiece.html#getTransferDataFlavors()">getTransferDataFlavors()</a></span> - Method in class view.<a href="../view/PlayerPiece.html" title="class in view">PlayerPiece</a></dt>
<dd>
<div class="block">This method arise from transferable and it's return is not important.</div>
</dd>
<dt><span class="strong"><a href="../model/GameRuleOnline.html#getVersion()">getVersion()</a></span> - Method in class model.<a href="../model/GameRuleOnline.html" title="class in model">GameRuleOnline</a></dt>
<dd>
<div class="block">Gets the version.</div>
</dd>
<dt><span class="strong"><a href="../view/Blokus.html#getViewGame()">getViewGame()</a></span> - Method in class view.<a href="../view/Blokus.html" title="class in view">Blokus</a></dt>
<dd>
<div class="block">Gets the viewGame.</div>
</dd>
<dt><span class="strong"><a href="../model/Map.html#getWeight(model.Piece,%20model.Position,%20int,%20model.GameRule)">getWeight(Piece, Position, int, GameRule)</a></span> - Method in class model.<a href="../model/Map.html" title="class in model">Map</a></dt>
<dd>
<div class="block">Gets the weight.</div>
</dd>
<dt><span class="strong"><a href="../model/Position.html#getX()">getX()</a></span> - Method in class model.<a href="../model/Position.html" title="class in model">Position</a></dt>
<dd>
<div class="block">Get the x.</div>
</dd>
<dt><span class="strong"><a href="../model/Position.html#getY()">getY()</a></span> - Method in class model.<a href="../model/Position.html" title="class in model">Position</a></dt>
<dd>
<div class="block">Get the y.</div>
</dd>
<dt><span class="strong"><a href="../view/ViewGame.html#getZoneInformation()">getZoneInformation()</a></span> - Method in class view.<a href="../view/ViewGame.html" title="class in view">ViewGame</a></dt>
<dd>
<div class="block">Gets the zoneInformation.</div>
</dd>
<dt><a href="../view/GlassPane.html" title="class in view"><span class="strong">GlassPane</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>
<div class="block">This glassPane is used to animate the drag and drop of the pieces in the grid, with transparency.</div>
</dd>
<dt><span class="strong"><a href="../view/GlassPane.html#GlassPane()">GlassPane()</a></span> - Constructor for class view.<a href="../view/GlassPane.html" title="class in view">GlassPane</a></dt>
<dd>
<div class="block">Instantiates a new glassPane with a transparency of 70%.</div>
</dd>
<dt><a href="../view/Grid.html" title="class in view"><span class="strong">Grid</span></a> - Class in <a href="../view/package-summary.html">view</a></dt>
<dd>&nbsp;</dd>
<dt><span class="strong"><a href="../view/Grid.html#Grid()">Grid()</a></span> - Constructor for class view.<a href="../view/Grid.html" title="class in view">Grid</a></dt>
<dd>
<div class="block">Instantiates a new grid.</div>
</dd>
<dt><a href="../controler/GridListener.html" title="class in controler"><span class="strong">GridListener</span></a> - Class in <a href="../controler/package-summary.html">controler</a></dt>
<dd>
<div class="block">The listener is used in the jpanel of the grid to know the position and if the player click.</div>
</dd>
<dt><span class="strong"><a href="../controler/GridListener.html#GridListener(view.Grid,%20controler.Game)">GridListener(Grid, Game)</a></span> - Constructor for class controler.<a href="../controler/GridListener.html" title="class in controler">GridListener</a></dt>
<dd>
<div class="block">Instantiates a new grid listener.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">P</a>&nbsp;<a href="index-13.html">R</a>&nbsp;<a href="index-14.html">S</a>&nbsp;<a href="index-15.html">T</a>&nbsp;<a href="index-16.html">U</a>&nbsp;<a href="index-17.html">V</a>&nbsp;<a href="index-18.html">Z</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-5.html">Prev Letter</a></li>
<li><a href="index-7.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-filesindex-6.html" target="_top">Frames</a></li>
<li><a href="index-6.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
